## datefudge 1.12

=== Makefile ===
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

ifeq (,$(INSTALL_PROGRAM))
    INSTALL_PROGRAM := "install"
endif

compile all: datefudge datefudge.so

install: datefudge datefudge.so datefudge.1
	install -d $(DESTDIR)/usr/lib/
	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)/usr/lib/datefudge.so
	install -d $(DESTDIR)/usr/bin/
	$(INSTALL_PROGRAM) -o root -g root -m 755 datefudge $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/man/man1
	install -o root -g root -m 644 datefudge.1 $(DESTDIR)/usr/share/man/man1

datefudge: datefudge.sh
	sed -e 's,@VERSION@,$(VERSION),g' < $< > $@

datefudge.so: datefudge.o
	$(CC) -o $@ -shared $< -ldl -lc

datefudge.o: datefudge.c
	$(CC) -D_REENTRANT $(CFLAGS) -fpic -c -o $@ $<

datefudge.1: datefudge.man
	sed -e 's,@VERSION@,$(VERSION),g' < $< > $@

clean:
	rm -f datefudge.o datefudge.so datefudge
