=== debian/changelog ===
datefudge (1.12) unstable; urgency=low

  * Updated maintainer email.
  * Use a Lintian override to not-warn about the shared library
    (which is not linked against, and therefore doesn't require a shlibs entry)
  * Extended the package description
  * added COPYING file to source tarball
  * Updated Standards-Version to 3.6.1 (no changes)
  * Minor build fixes

 -- Matthias Urlichs <smurf@debian.org>  13 Sep 2003 10:00:35 +0200

datefudge (1.11) unstable; urgency=low

  * de-debhelperization problems, part 2:
    removed debian/files
    use debian/shlibs => debian/tmp/DEBIAN/shlibs
      instead of incorrectly writing the latter from debian/rules

 -- Matthias Urlichs <smurf@noris.de>  26 Mar 2003 09:48:03 +0200

datefudge (1.10) unstable; urgency=low

  * Fix debian complaints, part 1

 -- Matthias Urlichs <smurf@noris.de>  24 Mar 2003 21:48:00 +0200

datefudge (1.9) unstable; urgency=low

  * Debhelper removal and cleanup, step 2

 -- Matthias Urlichs <smurf@noris.de>  23 Mar 2003 12:50:45 +0200

datefudge (1.8) unstable; urgency=low

  * Ignore editor files

 -- Matthias Urlichs <smurf@noris.de>  18 Mar 2003 20:17:59 +0200

datefudge (1.7) unstable; urgency=low

  * Debhelper removal and cleanup, step 1

 -- Matthias Urlichs <smurf@noris.de>  18 Mar 2003 20:17:24 +0200

datefudge (1.6) unstable; urgency=low

  * debianized
  * GPLized

 -- Matthias Urlichs <smurf@noris.de>  05 Nov 2002 11:15:33 +0200

datefudge (1.5) unstable; urgency=low

  * Added README

 -- Matthias Urlichs <smurf@noris.de>  17 Oct 2002 07:29:04 +0200

datefudge (1.4) unstable; urgency=low

  * check-in datefudge script

 -- Matthias Urlichs <smurf@noris.de>  14 Mar 2002 12:15:59 +0200

datefudge (1.3) unstable; urgency=low

  * initial check-in

 -- Matthias Urlichs <smurf@noris.de>  14 Mar 2002 12:14:37 +0200

datefudge (1.2) unstable; urgency=low

  * Versionsnummern-Updateskript

 -- Matthias Urlichs <smurf@noris.de>  14 Mar 2002 12:12:31 +0200

datefudge (1.1) unstable; urgency=low

  * Initial repository create

 -- Matthias Urlichs <smurf@noris.de>  14 Mar 2002 12:12:31 +0200

datefudge (1.0) unstable; urgency=low

  * BitKeeper file /var/tmp/b.s.10098/ChangeSet

 -- Matthias Urlichs <smurf@noris.de>  14 Mar 2002 12:12:31 +0200
