=== debian/control ===
Source: datefudge
Section: devel
Priority: optional
Maintainer: Matthias Urlichs <smurf@debian.org>
Standards-Version: 3.6.1

Package: datefudge
Architecture: any
Depends: ${shlibs:Depends}
Description: Fake the system date
 This program (and preload library) fakes the system date so that
 programs think the wall clock is ... different.
 .
 The faking is not complete; timestamp on files are not affected in any
 way.
 .
 This package is useful if you want to test the date handling of your
 programs without changing the system clock. Examples: Does it handle
 expired certificates correctly? Does it work on a leap day?
