## datefudge 1.13

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 compile all: datefudge datefudge.so
 
 install: datefudge datefudge.so datefudge.1
-	install -d $(DESTDIR)/usr/lib/
-	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)/usr/lib/datefudge.so
+	install -d $(DESTDIR)/usr/lib/datefudge/
+	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)/usr/lib/datefudge/datefudge.so
 	install -d $(DESTDIR)/usr/bin/
 	$(INSTALL_PROGRAM) -o root -g root -m 755 datefudge $(DESTDIR)/usr/bin
 	install -d $(DESTDIR)/usr/share/man/man1
@@ -27,5 +27,5 @@
 	sed -e 's,@VERSION@,$(VERSION),g' < $< > $@
 
 clean:
-	rm -f datefudge.o datefudge.so datefudge
+	rm -f datefudge.o datefudge.so datefudge datefudge.1
