=== debian/changelog ===
datefudge (1.13) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#429467); set maintainer to Debian QA Group.
  * Switch to debhelper.
  * Move datefudge.so to /usr/lib/datefudge as it's not a public library.
  * datefudge.c: Drop <asm/unistd.h> for portability.  Closes: #414335.
  * Makefile: Remove datefudge.1 on clean.
  * debian/copyright: Update FSF address.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Mon, 09 Jul 2007 19:10:34 +0200
