=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: datefudge
 Section: devel
 Priority: optional
-Maintainer: Matthias Urlichs <smurf@debian.org>
-Standards-Version: 3.6.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5)
 
 Package: datefudge
 Architecture: any
