## datefudge 1.14

=== debian/changelog ===
datefudge (1.14) unstable; urgency=low

  * New maintainer (closes: #429467).
  * Standards-Version: 3.7.3 (no changes).
  * Use debhelper v7 and its minimised rules file.
  * datefudge.c: override clock_gettime(2) called with CLOCK_REALTIME 
    argument to make it possible to fake `date' command (closes: #416175).
  * Update man page, add a simple example.

 -- Robert Luberda <robert@debian.org>  Sat, 10 May 2008 08:21:02 +0200
