=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: datefudge
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5)
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 7)
 
 Package: datefudge
 Architecture: any
