=== debian/rules ===
#!/usr/bin/make -f

build:
	dh build

clean:
	dh clean

install: build
	dh install

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

.PHONY: build clean install binary-arch binary-indep binary
