=== debian/changelog ===
datefudge (1.17) unstable; urgency=low

  * datefudge.{c,man}: Add the `--static' option for static dates.
  * debian/control:
    + Standards-Version: 3.9.2 (no changes);
    + add VCS fields.

 -- Robert Luberda <robert@debian.org>  Thu, 23 Jun 2011 19:38:38 +0200

datefudge (1.16) unstable; urgency=low

  * datefudge.c: don't override clock_gettime(2) on GNU/Hurd - it seems
    it internally calls gettimeofday(2), which is overridden. This fixes
    FTBFS due to test failure on that platform.
  * Makefile: add test for `perl localtime()'.

 -- Robert Luberda <robert@debian.org>  Mon, 14 Feb 2011 23:03:20 +0100

datefudge (1.15) unstable; urgency=low

  * Use the `3.0 (native)' source format.
  * Switch to debhelper v8.
  * Standards-Version: 3.9.1 (no changes).
  * debian/rules:
    + provide build-arch and build-indep targets;
    + call dpkg-buildflags to set CFLAGS and LDFLAGS;
    + simplify the file.
  * Reword the restriction in README (closes: #416174).
  * Update debian/copyright a bit.
  * Makefile: add a simple test case.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Feb 2011 13:28:08 +0100
