=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8)
+Vcs-Git: git://anonscm.debian.org/users/robert/datefudge.git
+Vcs-Browser: http://anonscm.debian.org/git/users/robert/datefudge.git
 
 Package: datefudge
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Fake the system date
  This program (and preload library) fakes the system date so that
  programs think the wall clock is ... different.
