=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 17 2011-02-13 12:29:49Z robert $

export CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

binary binary-arch build build-arch clean:
	dh $@

binary-indep build-indep: # Nothing to do

.PHONY: clean                                   \
	build-indep   build-arch   build        \
	binary-indep  binary-arch  binary
