## datefudge 1.17build1

=== debian/changelog ===
datefudge (1.17build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 20:57:35 +0100
