## datefudge 1.18

=== Makefile ===
--- 
+++ 
@@ -9,27 +9,35 @@
     INSTALL_PROGRAM := "install"
 endif
 
-compile all: datefudge datefudge.so
+prefix	= /usr
+libdir 	= $(prefix)/lib/datefudge
+libarch	=
+marchpt = $(shell echo '$(libarch)' | sed -e 's|[^-]|*|g; s|\*\**|*|g; s|^.|/&|')
+bindir	= $(prefix)/bin
+mandir	= $(prefix)/share/man
+
+all compile: datefudge datefudge.so datefudge.1
 
 install: datefudge datefudge.so datefudge.1
-	install -d $(DESTDIR)/usr/lib/datefudge/
-	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)/usr/lib/datefudge/datefudge.so
-	install -d $(DESTDIR)/usr/bin/
-	$(INSTALL_PROGRAM) -o root -g root -m 755 datefudge $(DESTDIR)/usr/bin
-	install -d $(DESTDIR)/usr/share/man/man1
-	install -o root -g root -m 644 datefudge.1 $(DESTDIR)/usr/share/man/man1
+	install -d $(DESTDIR)$(libdir)/$(libarch)
+	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)$(libdir)/$(libarch)/datefudge.so
+	install -d $(DESTDIR)$(bindir)
+	$(INSTALL_PROGRAM) -o root -g root -m 755 datefudge $(DESTDIR)$(bindir)
+	install -d $(DESTDIR)$(mandir)/man1
+	install -o root -g root -m 644 datefudge.1 $(DESTDIR)$(mandir)/man1
 
 datefudge: datefudge.sh
-	sed -e 's,@VERSION@,$(VERSION),g' < $< > $@
+datefudge.1: datefudge.man
+
+datefudge datefudge.1:
+	sed -e 's,@VERSION@,$(VERSION),g; s,@MULTIARCH_PATTERN@,$(marchpt),g; s,@LIBDIR@,$(libdir),g;' \
+	< $< > $@
 
 datefudge.so: datefudge.o
 	$(CC) $(LDFLAGS) -o $@ -shared $< -ldl -lc
 
 datefudge.o: datefudge.c
 	$(CC) $(CFLAGS) -c -o $@ $<
-
-datefudge.1: datefudge.man
-	sed -e 's,@VERSION@,$(VERSION),g' < $< > $@
 
 clean:
 	rm -f datefudge.o datefudge.so datefudge datefudge.1
