=== debian/changelog ===
datefudge (1.18) unstable; urgency=low

  * Introduce multi-arch support which allows one to use datefudge with 32-bit
    commands on 64-bit system (providing that both 32-bit and 64-bit versions
    of this package are installed on system) (LP: #1103281):
    + install datefudge.so library into /usr/lib/datefudge/<arch-tripplet>;
    + add each /u/l/d/<arch-tripplet> to LD_LIBRARY_PATH in datefudge scipt;
    + mark binary package as `Multi-Arch: same'.
  * Use debhelper v9.
  * debian/control:
    + fix Vcs-Browser field;
    + Standards-Version: 3.9.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 11 May 2013 19:02:11 +0200
