=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/users/robert/datefudge.git
-Vcs-Browser: http://anonscm.debian.org/git/users/robert/datefudge.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/datefudge.git;a=summary
 
 Package: datefudge
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Fake the system date
  This program (and preload library) fakes the system date so that
  programs think the wall clock is ... different.
