## datefudge 1.18ubuntu3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
-CC       = gcc
+CC       = $(hostarch)-gcc
 CFLAGS  += -Wall -Wextra -D_REENTRANT -fpic
 
 ifeq (,$(INSTALL_PROGRAM))
