=== debian/changelog ===
datefudge (1.18ubuntu3) trusty; urgency=low

  * Use DEB_HOST_GNU_TYPE for cross-builds, not DEB_HOST_ARCH.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 04 Dec 2013 22:39:36 -0700

datefudge (1.18ubuntu2) trusty; urgency=low

  * Fix build on i386.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 17:03:03 +0100

datefudge (1.18ubuntu1) trusty; urgency=low

  * Allow the package to cross-build.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 16:25:51 +0100
