=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 export libarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export hostarch := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 binary binary-arch build build-arch clean:
 	dh $@
