## datefudge 1.21

=== debian/changelog ===
datefudge (1.21) unstable; urgency=medium

  * datefudge.sh: don't fail when its date argument happens to be equal
    to the current time (i.e. make `datefudge now some_command' work).
  * Enable all hardening options in debian/rules.
  * Update man page to mention that the date can be given in any format
    accepted by date(1) command.
  * Switch debian/copyright to the DEP-5 format.
  * Use https in Vcs-Browser field (lintian).
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 13 Feb 2016 15:19:41 +0100

datefudge (1.20) unstable; urgency=medium

  * datefudge.c: don't override time(2) on GNU/Hurd, as it seems to
    internally call gettimeofday(2), which is overridden. This fixes
    FTBFS on that platform.

 -- Robert Luberda <robert@debian.org>  Mon, 16 Dec 2013 23:32:47 +0100

datefudge (1.19) unstable; urgency=medium

  * Use `*-*' as multi-arch pattern to make sure the datefudge script is the
    same on all architectures, including 'hurd-i386' (closes: #730766).
  * Install datefudge.so into /usr/lib<arch>/datefudge instead of using
    an extra private dir /usr/lib/datefudge/<arch> (closes: #711892).
  * Cleanup makefiles a bit and add support for cross-compiling.
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 14 Dec 2013 21:06:22 +0100
