=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: datefudge
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.4
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/users/robert/datefudge.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/datefudge.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/robert/datefudge.git;a=summary
 
 Package: datefudge
 Architecture: any
