## datefudge 1.22

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
-# $Id: Makefile 19 2011-02-14 22:21:52Z robert $
-
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
-CC       = $(hostarch)-gcc
+CC      ?= gcc
 CFLAGS  += -Wall -Wextra -D_REENTRANT -fpic
 
 ifeq (,$(INSTALL_PROGRAM))
@@ -10,17 +8,19 @@
 endif
 
 prefix	= /usr
-libdir 	= $(prefix)/lib/datefudge
-libarch	=
-marchpt = $(shell echo '$(libarch)' | sed -e 's|[^-]|*|g; s|\*\**|*|g; s|^.|/&|')
+libdir 	= $(prefix)/lib
+ifneq (,$(libarch))
+# The `*-*' pattern matches to both hurd-i386 and e.g. i386-linux-gnu
+marchpt = /*-*
+endif
 bindir	= $(prefix)/bin
 mandir	= $(prefix)/share/man
 
 all compile: datefudge datefudge.so datefudge.1
 
 install: datefudge datefudge.so datefudge.1
-	install -d $(DESTDIR)$(libdir)/$(libarch)
-	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)$(libdir)/$(libarch)/datefudge.so
+	install -d $(DESTDIR)$(libdir)/$(libarch)/datefudge
+	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)$(libdir)/$(libarch)/datefudge/datefudge.so
 	install -d $(DESTDIR)$(bindir)
 	$(INSTALL_PROGRAM) -o root -g root -m 755 datefudge $(DESTDIR)$(bindir)
 	install -d $(DESTDIR)$(mandir)/man1
@@ -37,7 +37,7 @@
 	$(CC) $(LDFLAGS) -o $@ -shared $< -ldl -lc
 
 datefudge.o: datefudge.c
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 
 clean:
 	rm -f datefudge.o datefudge.so datefudge datefudge.1
