=== debian/changelog ===
datefudge (1.22) unstable; urgency=medium

  * datefudge.c: Apply the following fixes from Thorsten Glaser
    (closes: #853724):
    + Operate more efficiently, especially if fudging to the epoch.
    + Fix running on 32-bit systems with 64-bit time_t (such as x32).
  * datefudge.man: Document that datefudge might be affected by the
    Y2K38 problem on some systems.
  * Use https in Vcs-Git and switch Vcs-Browser to cgit.
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 04 Feb 2017 22:59:11 +0100
