## datefudge 1.22+nmu1

=== debian/changelog ===
datefudge (1.22+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:10:47 +0800
