=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
-Vcs-Git: https://anonscm.debian.org/git/users/robert/datefudge.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/datefudge.git/
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12)
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/datefudge.git
+Vcs-Browser: https://salsa.debian.org/debian/datefudge
 
 Package: datefudge
 Architecture: any
