## datefudge 1.23ubuntu1

=== debian/changelog ===
datefudge (1.23ubuntu1) focal; urgency=medium

  * Update gettimeofday prototype to take the timezone as void *, as required
    by glibc 2.31.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 16:12:13 +1000
