=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: datefudge
 Section: devel
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 12)
 Rules-Requires-Root: no
