## datefudge 1.24

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
 
 install: datefudge datefudge.so datefudge.1
 	install -d $(DESTDIR)$(libdir)/$(libarch)/datefudge
-	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)$(libdir)/$(libarch)/datefudge/datefudge.so
+	$(INSTALL_PROGRAM) -m 644 datefudge.so $(DESTDIR)$(libdir)/$(libarch)/datefudge/datefudge.so
 	install -d $(DESTDIR)$(bindir)
-	$(INSTALL_PROGRAM) -o root -g root -m 755 datefudge $(DESTDIR)$(bindir)
+	$(INSTALL_PROGRAM) -m 755 datefudge $(DESTDIR)$(bindir)
 	install -d $(DESTDIR)$(mandir)/man1
-	install -o root -g root -m 644 datefudge.1 $(DESTDIR)$(mandir)/man1
+	install -m 644 datefudge.1 $(DESTDIR)$(mandir)/man1
 
 datefudge: datefudge.sh
 datefudge.1: datefudge.man
