=== debian/changelog ===
datefudge (1.24) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.12, 1.11, 1.10, 1.9, 1.8,
    1.7, 1.6, 1.5, 1.4, 1.3, 1.2, 1.1, 1.0.

  [ Robert Luberda ]
  * Fix FTBFS on hurd-i386: Necessary functions disabled (closes: #945599).
    Thanks to Paul Sonnenschein for the patch.
  * Fix FTBFS with glibc 2.31 (conflicting gettimeofday prototype) (closes:
    #964227). Thanks to Aurelien Jarno for the patch.
  * Bump debhelper's compact level to 13.
  * Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Tue, 14 Jul 2020 11:11:48 +0200
