=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: datefudge
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12)
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/datefudge.git
 Vcs-Browser: https://salsa.debian.org/debian/datefudge
