## datefudge 1.27

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 CC      ?= gcc
-CFLAGS  += -Wall -Wextra -D_REENTRANT -fpic
+CFLAGS  += -Wall -Wextra -D_REENTRANT -fpic # -D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64
 
 ifeq (,$(INSTALL_PROGRAM))
-    INSTALL_PROGRAM := "install"
+	INSTALL_PROGRAM := "install"
 endif
 
 prefix	= /usr
 libdir 	= $(prefix)/lib
 ifneq (,$(libarch))
-# The `*-*' pattern matches to both hurd-i386 and e.g. i386-linux-gnu
-marchpt = /*-*
+	# The `*-*' pattern matches to both hurd-i386 and e.g. i386-linux-gnu
+	marchpt = /*-*
 endif
 bindir	= $(prefix)/bin
 mandir	= $(prefix)/share/man
@@ -26,6 +26,9 @@
 	install -d $(DESTDIR)$(mandir)/man1
 	install -m 644 datefudge.1 $(DESTDIR)$(mandir)/man1
 
+format-sources:
+	clang-format --style=LLVM -i *.c
+
 datefudge: datefudge.sh
 datefudge.1: datefudge.man
 
@@ -33,14 +36,15 @@
 	sed -e 's,@VERSION@,$(VERSION),g; s,@MULTIARCH_PATTERN@,$(marchpt),g; s,@LIBDIR@,$(libdir),g;' \
 	< $< > $@
 
-datefudge.so: datefudge.o
-	$(CC) $(LDFLAGS) -o $@ -shared $< -ldl -lc
+datefudge.so: datefudge.o datefudge64.o
+	$(CC) $(LDFLAGS) -o $@ -shared $^ -ldl -lc
 
-datefudge.o: datefudge.c
+%.o: %.c datefudge.c Makefile
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 
 clean:
-	rm -f datefudge.o datefudge.so datefudge datefudge.1
+	rm -f datefudge*.o datefudge.so datefudge datefudge.1
+
 
 # The first run may possibly fail when it's around midnight, that's why it's run twice.
 test: compile
@@ -66,3 +70,5 @@
 	        [ $$i = 2 ] || { echo -n "   retrying... "; sleep 2; }          ;\
 	done                                                                    ;\
 	exit `expr $$ret1 + $$ret2`;
+
+.PHONY: all compile install test format-sources
