=== debian/changelog ===
datefudge (1.27) unstable; urgency=medium

  * Fix FTBFS by explicitly passing "abi=-time64" to DEB_BUILD_MAINT_OPTIONS
    in debian/rules, so that we can still override both 32- and 64-bit time
    functions on architectures that support it (closes: #1069478).
  * Standards-Version: 4.7.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 30 Aug 2024 09:38:42 +0200
