=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all abi=-time64

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  export CC := $(DEB_HOST_GNU_TYPE)-gcc
else
  export CC := gcc
endif

export libarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@
