=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,10 @@
 Depends: @, coreutils
 Features: test-name=check-static-with-sleep-date
 
+Test-Command: a='2024-01-02 18:03:04.56789'; b=$(datefudge -s "$a" sh -c 'sleep 1.3; date "+%T %N"'); echo " >> $b"; test "$b" = "18:03:04 000000000"
+Depends: @, coreutils
+Features: test-name=check-static-resets-sub-seconds-bug946776
+
 Test-Command: a='2020-02-29 01:02:03'; b=$(datefudge "$a" perl -e 'print scalar(localtime);'); echo " >> $b"; test "$b" = 'Sat Feb 29 01:02:03 2020'
 Depends: @, perl
 Features: test-name=check-with-perl-localtime
