## datefudge 1.27build1

=== debian/changelog ===
datefudge (1.27build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:43:01 +0000
